.wp-block-file {
	transition: all 250ms cubic-bezier(0.455, 0.03, 0.515, 0.955);
	box-shadow: inset 0 0 0 2px var(--wp--preset--color--custom-m-rk-bl);
	display: block;
	align-items: center;
	position: relative;
	cursor: pointer;
	padding: var(--);

	a {
		width: 100%;
		height: 100%;
		color: var(--wp--preset--color--custom-m-rk-bl);
		text-decoration: none;
		display: block;
		font-size: var(--wp--preset--font-size--custom-10);


		&::after {
			content: '';
			display: inline-block;
			margin-left: 8px;
			width: 28px;
			height: 28px;
			flex-shrink: 0;
			float: right;
			background-image: url('data:image/svg+xml,<svg width="22" height="22" viewBox="0 0 22 22" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M10.6667 16L4 9.33333L5.86667 7.4L9.33333 10.8667V0H12V10.8667L15.4667 7.4L17.3333 9.33333L10.6667 16ZM2.66667 21.3333C1.93333 21.3333 1.30556 21.0722 0.783333 20.55C0.261111 20.0278 0 19.4 0 18.6667V14.6667H2.66667V18.6667H18.6667V14.6667H21.3333V18.6667C21.3333 19.4 21.0722 20.0278 20.55 20.55C20.0278 21.0722 19.4 21.3333 18.6667 21.3333H2.66667Z" fill="%23103652"/></svg>');
			background-size: contain;
			background-repeat: no-repeat;
			background-position: center;
		}
	}

	&:hover {
		background-color: #F6F3EE;
	}

	&:focus,
	&:focus-visible {
		outline: none;
		background-color: var(--wp--preset--color--custom-m-rk-bl);

		a {
			color: #F6F3EE;

			&::after {
				background-image: url('data:image/svg+xml,<svg width="22" height="22" viewBox="0 0 22 22" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M10.6667 16L4 9.33333L5.86667 7.4L9.33333 10.8667V0H12V10.8667L15.4667 7.4L17.3333 9.33333L10.6667 16ZM2.66667 21.3333C1.93333 21.3333 1.30556 21.0722 0.783333 20.55C0.261111 20.0278 0 19.4 0 18.6667V14.6667H2.66667V18.6667H18.6667V14.6667H21.3333V18.6667C21.3333 19.4 21.0722 20.0278 20.55 20.55C20.0278 21.0722 19.4 21.3333 18.6667 21.3333H2.66667Z" fill="%23F6F3EE"/></svg>');
			}
		}
	}

	&:active {
		background-color: #C0CFDC !important;

		a {
			color: var(--wp--preset--color--custom-m-rk-bl);

			&::after {
				background-image: url('data:image/svg+xml,<svg width="22" height="22" viewBox="0 0 22 22" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M10.6667 16L4 9.33333L5.86667 7.4L9.33333 10.8667V0H12V10.8667L15.4667 7.4L17.3333 9.33333L10.6667 16ZM2.66667 21.3333C1.93333 21.3333 1.30556 21.0722 0.783333 20.55C0.261111 20.0278 0 19.4 0 18.6667V14.6667H2.66667V18.6667H18.6667V14.6667H21.3333V18.6667C21.3333 19.4 21.0722 20.0278 20.55 20.55C20.0278 21.0722 19.4 21.3333 18.6667 21.3333H2.66667Z" fill="%23103652"/></svg>');
			}

		}
	}
}
